Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineOpReport

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineOpReport

All Implemented Interfaces:
  OpReport

public class EngineOpReport
extends java.lang.Object
implements OpReport

Constructor Summary
`EngineOpReport(PCStatus operationStatus)`
`EngineOpReport(PCStatus operationStatus, java.net.URI field, java.net.URI value)`

Method Summary
`java.net.URI` | `getField()` Returns the target field's memory URI if the operation worked on tag memory.
`PCStatus` | `getOperationStatus()` Returns the status of the associated operation
`java.net.URI` | `getValue()` Returns the contents of the target field, if the operation worked on tag memory.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineOpReport

    public EngineOpReport(PCStatus operationStatus,
                          java.net.URI field,
                          java.net.URI value)

### EngineOpReport

    public EngineOpReport(PCStatus operationStatus)

Method Detail

### getOperationStatus

    public PCStatus getOperationStatus()

  Description copied from interface: `OpReport`
  Returns the status of the associated operation

  Specified by:
    `getOperationStatus` in interface `OpReport`
  Returns:
    the status of the associated operation

### getField

    public java.net.URI getField()

  Description copied from interface: `OpReport`
  Returns the target field's memory URI if the operation worked on tag memory.

  Specified by:
    `getField` in interface `OpReport`
  Returns:
    the target field's memory URI, or null

### getValue

    public java.net.URI getValue()

  Description copied from interface: `OpReport`
  Returns the contents of the target field, if the operation worked on tag memory.

  Specified by:
    `getValue` in interface `OpReport`
  Returns:
    the contents of the target field, in URI form, or null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD